const startPunkt = 270; // 12 Uhr oben, Gradangabe!

function setup() {
  const meinCanvas = createCanvas(960, 480);
  meinCanvas.parent("canvasContainer");

  frameRate(1);
}

function draw() {
  background(255);

  let sek = second();

  // externe Funktion mit vielen übergebenen Werten…
  arcZeichnen(240, height / 2, 450, "red", sek, PIE);

  arcZeichnen(width - 240, height / 2, 450, "hsl(220,70%,70%)", sek, CHORD); //
}

function arcZeichnen(x, y, r, farbe, sek, typ) {
  // console.log(x, y, r, farbe, sek, typ);

  // HG-Kreis zur Orientierung
  stroke("#ddd");
  noFill();
  ellipse(x, y, r + 8); // etwas größer als die eigentliche Fläche

  noStroke();
  fill(farbe);

  // https://p5js.org/reference/#/p5/arc
  arc(
    x,
    y,
    r,
    r,
    radians(startPunkt), //damit kann man hier Grad-Angaben eingeben!
    radians(startPunkt + sek * 6), // 60sek * 6 = 360°
    typ
  );
}
